/*

    Astra by Roefja Admin Metabox Javascript 

    Do not make any changes to this file, all core files are in version control, and will be overwritten on every update

    author: Roefja
    email: info@roefja.com
    website: www.roefja.com

    © 2021 - All rights reserved

*/

jQuery(document).ready(function($){

    let roefja_media_uploader;

    $('.roefja-media-uploader .upload_button').on('click',function(e) {
        const uploader = $(this).closest(".roefja-media-uploader");

        e.preventDefault();

        //If the uploader object has already been created, reopen the dialog
        if (roefja_media_uploader) {
            roefja_media_uploader.open();
            return;
        }

        //Extend the wp.media object
        roefja_media_uploader = wp.media.frames.file_frame = wp.media({
            title: $(this).val(),
            button: {
                text: $(this).val()
            },
            multiple: false,
            library:{ 
                type: $(this).data('media_type')
            }
        });

        //When a file is selected, grab the URL and set it as the text field's value
        roefja_media_uploader.on('select', function() {
            let selected = roefja_media_uploader.state().get('selection').first().toJSON();

            $(uploader).find(".attachment_id").val(selected['id']);
            $(uploader).find(".attachment_url").val(selected['url']);
            $(uploader).find(".attachment_name").val(selected['title']);
            $(uploader).find(".image-preview").attr('src',selected['sizes']['thumbnail']['url']).css('display','inline-block');
        });

        //Open the uploader dialog
        roefja_media_uploader.open();
    });

    $('.roefja-media-uploader .remove_attachment').on('click',function(e) {
        const uploader = $(this).closest(".roefja-media-uploader");

        $(uploader).find(".attachment_id").val('');
        $(uploader).find(".attachment_url").val('');
        $(uploader).find(".attachment_name").val('');
        $(uploader).find(".image-preview").attr('src','').css('display','none');

    });
})